Create Optimization Run
Validate immutable inputs and create a pending optimization run.
Header Parameters
x-workspace-id?|
Workspace UUID for session-authenticated calls.
Request Body
application/json
name*string
Length
1 <= length <= 255capabilities?array<>
goal*string
Length
1 <= length <= 20000inputs*
Immutable source inputs supplied when creating a run.
config*
Validated configuration persisted verbatim with a run.
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://loading/v1/optimization-runs" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "goal": "string", "inputs": {}, "config": { "agent_model": "string" } }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"capabilities": [
"run_experiments"
],
"goal": "string",
"status": "preparing",
"config": {
"agent_model": "string",
"models_in_scope": [
"string"
],
"max_experiments": 1
},
"usage": {
"agent_spent_usd": "string",
"agent_turns": 0,
"agent_input_tokens": 0,
"agent_cached_input_tokens": 0,
"agent_output_tokens": 0,
"agent_reasoning_tokens": 0,
"experiments_created": 0,
"experiment_spent_usd": "string"
},
"created_by_user_id": "209f54c4-4c33-43bc-9c6a-ef4c65ad7473",
"created_by_user_name": "string",
"created_by_service_account_id": "5434fcf1-291e-49ce-ac43-2f469070b2f5",
"created_by_service_account_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"inputs": {
"conversation_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"experiment_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"context": "string",
"files": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"filename": "string",
"media_type": "string",
"size_bytes": 0,
"sha256": "string"
}
]
},
"created_experiments": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"model": "string",
"completed_at": "2019-08-24T14:15:22Z"
}
],
"report": {
"format": "markdown",
"content": "string",
"created_at": "2019-08-24T14:15:22Z"
},
"suggested_prompts": [
{
"file_name": "string",
"content": "string"
}
],
"error": {
"code": "string",
"message": "string"
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}